Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr
Interface ElementListObserver.Observer

Enclosing interface:
  ElementListObserver

public static interface ElementListObserver.Observer

Implement this interface to receive notifications on element lists.

Method Summary
`void` | `observe(java.util.List elementList, java.lang.String category, java.lang.String id)` Notifies the observer about the element list.

Method Detail

### observe

    public void observe(java.util.List elementList,
                        java.lang.String category,
                        java.lang.String id)

  Notifies the observer about the element list.

  Parameters:
    `elementList` - the Knuth element list
    `category` - the category for the element list (example: main, static-content or table-cell)
    `id` - ID for the element list (may be null)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.